src/libUnuk/ImageLoader.h File Reference

Go to the source code of this file.

## Classes

class | ImageLoader

## Typedefs

typedef unsigned char | BYTE
typedef int | LONG
typedef unsigned int | DWORD
typedef unsigned short | WORD

## Functions

struct | __attribute__ ((__packed__)) tagBITMAPFILEHEADER

## Variables

| BITMAPFILEHEADER
* | PBITMAPFILEHEADER
| BITMAPINFOHEADER
* | PBITAPINFOHEADER
| RGBQUAD

## Typedef Documentation

typedef unsigned char BYTE

Definition at line 8 of file ImageLoader.h.

typedef unsigned int DWORD

Definition at line 10 of file ImageLoader.h.

typedef int LONG

Definition at line 9 of file ImageLoader.h.

typedef unsigned short WORD

Definition at line 11 of file ImageLoader.h.

## Function Documentation

struct __attribute__ | ( | (__packed__) |  | ) | `[read]`

Definition at line 14 of file ImageLoader.h.

## Variable Documentation

BITMAPFILEHEADER

Definition at line 20 of file ImageLoader.h.

BITMAPINFOHEADER

Definition at line 35 of file ImageLoader.h.

* PBITAPINFOHEADER

Definition at line 35 of file ImageLoader.h.

* PBITMAPFILEHEADER

Definition at line 20 of file ImageLoader.h.

RGBQUAD

Definition at line 43 of file ImageLoader.h.

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines